Subject: [bug#71266] [PATCH 0/2] Update pre-commit to 3.7.1

From: Vinicius Monego <[email-masked]>
Date: Sat, 01 Jun 2024 14:31:13 +0000

Em sex, 2024-05-31 às 15:03 +0200, Noé Lopez escreveu:
> Vinicius Monego <[email-masked]> writes:
> 
> > Em qui, 2024-05-30 às 00:41 +0200, Noé Lopez escreveu:
> > > Hi Guix,
> > > 
> > 
> > Hi Noé,
> > 
> > > These two patches update pre-commit to version 3.7.1 and its
> > > dependency
> > > python-identify to 2.5.36. This allows pre-commit to be used with
> > > more recent
> > > hooks, like clang-format 18.
> > > 
> > > Good evening,
> > > Noé Lopez
> > > 
> > > Noé Lopez (2):
> > >   gnu: pre-commit: Update to 3.7.1
> > >   gnu: python-identify: Update to 2.5.36
> > > 
> > >  gnu/packages/python-xyz.scm      | 8 +++++---
> > >  gnu/packages/version-control.scm | 5 +++--
> > >  2 files changed, 8 insertions(+), 5 deletions(-)
> > > 
> > > 
> > > base-commit: 6f72ad465c1e2df965e8d73b209497b4ef456527
> > > prerequisite-patch-id: 75f6ba7d50cdb966f5d5ee00f03f0061bcf76bb6
> > 
> > There is an open patch at 69980. However, pre-commit now has over
> > 300
> > dependents because of python-jupytext, so this or 69980 may need to
> > go
> > to staging. pre-commit should really be removed from jupytext
> > native-
> > inputs as it's only used for a few unit tests.
> > 
> 
> Hi Vinicius,
> 
> Thanks for the answer, 69980 seems much more complete. Is there
> anything
> blocking it from being merged? I could look into it.

There are no blockers other than python-jupytext having 300+
dependents. I'd like to merge 69980 but I'm not sure if I can do it on
master, or if it'd have to be done on staging or python-team. I only
work on the master branch.

Vinicius